Security Enhanced Linux Reference Policy

# Layer: system

## Module: miscfiles

Interfaces

### Description:

Miscelaneous files.

### Interfaces:

miscfiles_cert_type( type )

##### Summary

Make the specified type usable as a cert file.

##### Description

Make the specified type usable for cert files. This will also make the type usable for files, making calls to files_type() redundant. Failure to use this interface for a temporary file may result in problems with cert management tools.

Related interfaces:

- files_type()

Example:

type mycertfile_t; cert_type(mycertfile_t) allow mydomain_t mycertfile_t:file read_file_perms; files_search_etc(mydomain_t)

##### Parameters

Parameter: | Description:
--- | ---
type | Type to be used for files.

miscfiles_delete_man_pages( domain )

##### Summary

Delete man pages

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_domain_entry_test_files( domain )

##### Summary

Let test files be an entry point for a specified domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_dontaudit_search_man_pages( domain )

##### Summary

Do not audit attempts to search man pages.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

miscfiles_dontaudit_setattr_fonts_cache_dirs( domain )

##### Summary

Do not audit attempts to set the attributes on a fonts cache directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

miscfiles_dontaudit_setattr_fonts_dirs( domain )

##### Summary

Do not audit attempts to set the attributes on a fonts directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

miscfiles_dontaudit_write_fonts( domain )

##### Summary

Do not audit attempts to write fonts.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

miscfiles_etc_filetrans_localization( domain )

##### Summary

Execute test files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_exec_test_files( domain )

##### Summary

Execute test files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_exec_tetex_data( domain )

##### Summary

Execute TeX data programs in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_legacy_read_localization( domain )

##### Summary

Allow process to read legacy time localization info

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_manage_cert_dirs( domain )

##### Summary

Manage SSL certificates.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_manage_cert_files( domain )

##### Summary

Manage SSL certificates.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_manage_fonts( domain )

##### Summary

Create, read, write, and delete fonts.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_manage_fonts_cache( domain )

##### Summary

Create, read, write, and delete fonts cache.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_manage_generic_cert_dirs( domain )

##### Summary

Manage generic SSL certificates.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_manage_generic_cert_files( domain )

##### Summary

Manage generic SSL certificates.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_manage_localization( domain )

##### Summary

Create, read, write, and delete localization

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_manage_man_cache( domain )

##### Summary

Create, read, write, and delete man cache content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_manage_man_pages( domain )

##### Summary

Create, read, write, and delete man pages

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_manage_public_files( domain )

##### Summary

Create, read, write, and delete public files and directories used for file transfer services.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_read_all_certs( domain )

##### Summary

Read all SSL certificates.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_read_certs( domain )

##### Summary

Read SSL certificates.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_read_fonts( domain )

##### Summary

Read fonts.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_read_generic_certs( domain )

##### Summary

Read generic SSL certificates.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_read_hwdata( domain )

##### Summary

Read hardware identification data.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_read_localization( domain )

##### Summary

Allow process to read localization information.

##### Description

Allow the specified domain to read the localization files. This is typically for time zone configuration files, such as /etc/localtime and files in /usr/share/zoneinfo. Typically, any domain which needs to know the GMT/UTC offset of the current timezone will need access to these files. Generally, it should be safe for any domain to read these files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_read_man_cache( domain )

##### Summary

Read man cache content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_read_man_pages( domain )

##### Summary

Read man pages

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_read_public_files( domain )

##### Summary

Read public files used for file transfer services.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_read_test_files( domain )

##### Summary

Read test files and directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_read_tetex_data( domain )

##### Summary

Read TeX data

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_relabel_localization( domain )

##### Summary

Allow process to relabel localization info

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_relabel_man_cache( domain )

##### Summary

relabel man cache

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_rw_localization( domain )

##### Summary

Allow process to write localization info

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_search_man_pages( domain )

##### Summary

Search man pages.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_setattr_fonts_cache_dirs( domain )

##### Summary

Set the attributes on a fonts cache directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_setattr_fonts_dirs( domain )

##### Summary

Set the attributes on a fonts directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

miscfiles_setattr_localization( domain )

##### Summary

Allow process to setattr localization info

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return